about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authoradmins <admins@tilde.institute>2022-07-12 23:46:45 -0400
committeradmins <admins@tilde.institute>2022-07-12 23:47:26 -0400
commit1d69faa79277d11fc57f6d425ad7da20d5422a5b (patch)
tree45b606b8811df467899e770b6c293190fb1d8bd7
parentf5e12d67fec71d0a54c141cd16c004a0f557c3b3 (diff)
downloadadmin-1d69faa79277d11fc57f6d425ad7da20d5422a5b.tar.gz
keep source tree up to date
-rwxr-xr-xbin/update-src.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/update-src.sh b/bin/update-src.sh
new file mode 100755
index 0000000..c3187b0
--- /dev/null
+++ b/bin/update-src.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+# literally just keeps the source tree up to date, per user request.
+# one copy of stable, one copy of current.
+# call this with cron.
+# ~gbmor
+
+cd /usr/src
+nice -n 20 cvs -q up -Pd -rOPENBSD_7_1
+cd /usr/src-current
+nice -n 20 cvs -q up -Pd -A
+